<template>
  <div>
    <div class="m-2">
        <b-row>

           <!-- Search -->
          <b-col
            cols="12"
            md="6"
            class="d-flex align-items-center justify-content-start mb-1 mb-md-0"
          >
             <b-form-input
                class="d-inline-block mr-1"
                placeholder="Search..."
              />
          </b-col>
          <!-- Add client button -->
          <b-col
            cols="12"
            md="6"
          >
            <div class="d-flex align-items-center justify-content-end">
             <b-button v-if="status === 'Abierta' " variant="primary" @click="showModal">Nuevo avance</b-button>
            </div>
          </b-col>
        </b-row>
      </div>
        

        <b-table
          :fields="fields"
          :items="advances"
          responsive
          head-variant="dark"
          class="mb-0"
          show-empty
          sticky-header
          empty-text="No se encontraron registros"
        >
          <template #cell(show_details)="row">      

            <a  href="javascript:void(null)" v-if="!row.detailsShowing" @click="row.toggleDetails">Mostrar</a>
            <a href="javascript:void(null)" v-else @click="row.toggleDetails">Ocultar</a>
            
            
          </template>


          <!-- A virtual composite column -->
          <!-- Column: Actions -->
            <template #cell(actions)="data">
              
                <b-button variant="outline" :to="{name:'apps-activitie-advances-view',params:{advance:data.item.id}}"> <feather-icon icon="EyeIcon" /></b-button> 

            </template>

            <template #row-details="row">
            <b-card>
              <center>
                <ul class="list-group w-50">
                  <li class="list-group-item list-group-item-dark">
                    Documentos:
                  </li>
                    <li class="list-group-item list-group-item-light" v-for="(document, idx) in row.item.documents" :key="idx" >
                        <a target="_blank" :download="document.file_name" :href="baseURL+document.file">{{document.file_name}}</a>
                        <b-button variant="outline" target="_blank" :download="document.file_name" :href="baseURL+document.file" ><feather-icon icon="EyeIcon" /></b-button>         
                    </li>
                </ul>

              </center>

         
            </b-card>
          </template>


        </b-table>
        <modal-add-advance v-if="percentage_advance != null" :percentage_advance="percentage_advance" @success="reload"></modal-add-advance>
    </div>
    

</template>

<script>
import ModalAddAdvance from '../advance_activitie/ModalAddAdvance.vue'
import BCardCode from '@core/components/b-card-code/BCardCode.vue'
import { BTable, BProgress,BCard, BBadge,BDropdown, BDropdownItem, BAvatar, BButton,BRow, BCol, BFormInput,BFormCheckbox} from 'bootstrap-vue'

export default {
  props:{
    advances:{
      type:Array,
      required:true
    },
    percentage_advance:{
      type:Number,
      
    },
    status:{
      type:String
    }
  },
  components: {
    ModalAddAdvance,
    BCardCode,
    BTable,
    BProgress,
    BBadge,
    BDropdown, 
    BDropdownItem,
    BAvatar,
    BButton,
    BRow, 
    BCol, 
    BFormInput,
    BFormCheckbox,
    BCard
  },
  name:'advances-table',
  data() {
    return {
      fields: [

        { key: 'description', label: 'Descripción del avance' },

        { key: 'comments', label: 'Comentarios' },

        { key: 'date', label: 'Fecha' },

        { key: 'show_details', label: 'Ver documentos' },
          
        { key: 'actions', label: 'Acciones' },

      ],
      searchQuery:'',
      baseURL:'http://quantumdaily-back.test/storage/',

    }
  },
  methods:{
    
    showModal(){
      this.$bvModal.show('modal-addAdvance')
    },
    reload(e){
          if(e){
            this.$emit('success', true)
          }
    }
   
  },
 
}
</script>
